Subject: [RRG] loc/id split and hierarchical routing with multiple address space coexist

From: Xu Xiaohu <[email-masked]>
Date: Tue, 09 Oct 2007 21:17:48 +0200

> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]] 代表 Dino Farinacci
> 发送时间: 2007年10月9日 6:25
> 收件人: Sheng Jiang
> 抄送: 'Tony Li'; 'Noel Chiappa'; [email-masked]
> 主题: Re: [RRG] loc/id split and LISP
> 
> > Agree. The deploying cost of IPv6 is quite expensive. I started to
> > work on
> > IPv6 and IPv6 transition since 2001. By that time, we
> > optimistically think
> > IPv6 could replace IPv4 in 2 or 3 years giving its maturity of basic
> > protocols and massive advantages. Now, I have to say that we
> > underestimated
> > the deploying cost, a lot. One more thing to be mentioned, IPv6
> > provides a
> > lot transition approaches to support IPv4/IPv6 coexist. So far, I
> > have not
> > seen such efforts in HIP or Node ID. (I may volunteer to do so.)
> > And in
> > order to obtain the biggest benefit of HIP or Node ID, globally
> > deployment
> > is requested. Therefore, transition solutions may not solve the
> > problems.
> 
> One could consider doing a combination of adding a new namespace and
> deploying IPv6. If the cost of deployment is too great for putting
> IPv6 on hosts, then use IPv4 in hosts as the EID namespace and IPv6
> deployed in the core as the locator namespace.
> 
> If it is easier or more necessary to run IPv6 in the hosts, then the
> opposite could occur. In fact this later case is probably more
> necessary so we can have a larger address space that addresses all
> the hosts in the Internet with IPv6 EIDs and use locators as IPv4
> addresses with an IPv4-only core substrate.
I agree it's more necessary to run IPv6 in the hosts from the long-term
aspect. Since you want to upgrade all the hosts, why not step further to
embed some security features in the EID with HIP or CGA mechanism?

For example, we can adopt a hierarchical routing architecture, which
introduces LD-based routing and can support coexisting of multiple locator
domains (this concept is borrowed from Node ID architecture). LD-based
routing info will be exchanged among locator domain border router (LDBR),and
the nexthop of LD-based routing is LDBR's locator. The prefix-based routing
info is still exchanged among the routers within the same LD. 

A scalable and distributed mapping database system is needed to maintain the
mapping of HIT, host locator and LD ID. 

Source host obtains the mapping info of destination host firstly. If the
destination LD is the same as the source LD, source host sends packets
according to destination host locator directly, otherwise, source host sends
packets to one of its LDBRs, and the LDBRs forwards the received packets
according to the destination LD ID until the packets reach the destination
LD. The LDBR of the destination LD forwards the packets according to the
destination host locator.

In a word, the HRA is a two-level routing architecture which consists of
LD-based routing and prefix-based routing.

> Dino
> 
> --
> to unsubscribe send a message to [email-masked] with the
> word 'unsubscribe' in a single line as the message text body.
> archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg